Skip to content
Permalink
Browse files

upgrade go to 1.12.7

  • Loading branch information...
BenTheElder committed Jul 11, 2019
1 parent 148d2d8 commit b6759a7d6fcc9fb72366688b41dedc3e39b94854
@@ -27,7 +27,7 @@ kind bootstraps each "node" with [kubeadm][kubeadm]. For more details see [the d

You can install kind with `GO111MODULE="on" go get sigs.k8s.io/kind@v0.4.0`.

**NOTE**: please use the latest go to do this, ideally go 1.12.6 or greater.
**NOTE**: please use the latest go to do this, ideally go 1.12.7 or greater.

This will put `kind` in `$(go env GOPATH)/bin`. If you encounter the error
`kind: command not found` after installation then you may need to either add that directory to your `$PATH` as
@@ -29,7 +29,7 @@ GOARCH="${GOARCH:-$("${REPO_ROOT}/hack/build/goarch.sh")}"
GOPROXY="${GOPROXY:-https://proxy.golang.org}"

# default build image
GO_VERSION="1.12.6"
GO_VERSION="1.12.7"
GO_IMAGE="golang:${GO_VERSION}"

# docker volume name, used as a go module / build cache
@@ -51,7 +51,7 @@ You can check if Go is in your system with the following command:
go version
```

Preferably Go `1.12.6` or greater should be installed.
Preferably Go `1.12.7` or greater should be installed.

Correct automatic formatting of the source with `gofmt` requires at least
`1.11.0`.
@@ -17,7 +17,7 @@ This guide covers getting started with the `kind` command.
You can either install kind with `GO111MODULE="on" go get sigs.k8s.io/kind@v0.4.0` or clone this repo
and run `make build` from the repository.

**NOTE**: please use the latest go to do this, ideally go 1.12.6 or greater.
**NOTE**: please use the latest go to do this, ideally go 1.12.7 or greater.

This will put `kind` in `$(go env GOPATH)/bin`. You may need to add that directory to your `$PATH` as
shown [here](https://golang.org/doc/code.html#GOPATH) if you encounter the error

0 comments on commit b6759a7

Please sign in to comment.
You can’t perform that action at this time.